---
const { color, title, subtitle, id } = Astro.props;
const textColor = `text-${color}`;
---

<section
  class="landing-section bg-black h-screen w-screen text-center overflow-hidden relative"
  data-header-color={color}
  id={id}
>
  <div class="z-30 relative h-full flex flex-col">
    <header>
      <h2 class={`${textColor} pt-40 text-3xl font-medium`}>
        {title}
      </h2>
      <p class={`${textColor} text-sm`}>
        {subtitle}
      </p>
    </header>

    <footer class="flex flex-col flex-grow justify-end pb-20">
      <slot name="footer" />
    </footer>
  </div>

  <div class="absolute top-0 bottom-0 h-full w-full z-10">
    <slot name="background" />
  </div>
</section>
